"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace3b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace4d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace560>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace5f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace680>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace710>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace7a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace830>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace8c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace950>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dace9e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacea70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8daceb00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8daceb90>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacec20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacecb0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8daced40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacedd0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacee60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8daceef0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacef80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf010>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf0a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf1c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf130>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf250>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf2e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf370>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf490>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf520>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf5b0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf640>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf6d0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf760>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf7f0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf910>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacf9a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfa30>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfac0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfb50>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfbe0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfc70>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfd00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfd90>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfe20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacfeb0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8dacff40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c0d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c160>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c1f0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c280>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c310>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c3a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c430>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c4c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c550>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c5e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c670>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c790>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c820>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c9d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0c8b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0ca60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0caf0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cb80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cc10>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cdc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cd30>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0ce50>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0cf70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d090>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d000>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d120>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d1b0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d240>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d2d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d360>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8db0d3f0>)]
name: str = 'fr_HOCCN'
